Page MenuHomePhabricator

Floating Ip panel missing from new horizon update
Closed, ResolvedPublic

Description

Hi, since updating from the old horizion to the new one today, the floating ip panel has gone missing.

This panel worked around an issue where you could not add floating ips to instances using the normal instance panel.

This also allowed you to add floating ips to projects.

Details

Related Gerrit Patches:
openstack/horizon/deploy : ocataUpdate horizon submodule
openstack/horizon/horizon : ocatanova network api: don't pass all_tenants arg to nova api

Event Timeline

Paladox created this task.Mar 14 2018, 5:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2018, 5:13 PM
Andrew renamed this task from Floating Ip panel missing from new horizion update to Floating Ip panel missing from new horizon update.Mar 14 2018, 5:19 PM

The new UI is definitely different, but... can you tell me in greater detail what actual problem you need to solve here? It's definitely possible to add and remove floating IPs to a VM in the new UI.

Paladox added a comment.EditedMar 22 2018, 6:58 PM

@Andrew It's just that there is a bug where you go to the instance page and click add floating ip, it fails. But there was a workaround where you went to a panel called Floating Ip, see https://www.thaiops.com/wp-content/uploads/2017/08/openstack-allocate-floating-ip-03.png

This comment was removed by Paladox.

Change 423054 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/horizon@ocata] nova network api: don't pass all_tenants arg to nova api

https://gerrit.wikimedia.org/r/423054

Change 423054 merged by Andrew Bogott:
[openstack/horizon/horizon@ocata] nova network api: don't pass all_tenants arg to nova api

https://gerrit.wikimedia.org/r/423054

Change 423058 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@ocata] Update horizon submodule

https://gerrit.wikimedia.org/r/423058

Change 423058 merged by Andrew Bogott:
[openstack/horizon/deploy@ocata] Update horizon submodule

https://gerrit.wikimedia.org/r/423058

Mentioned in SAL (#wikimedia-operations) [2018-03-29T22:06:57Z] <andrew@tin> Started deploy [horizon/deploy@14d3e7d]: Updating Horizon with possible fix for T189706

Mentioned in SAL (#wikimedia-operations) [2018-03-29T22:10:12Z] <andrew@tin> Finished deploy [horizon/deploy@14d3e7d]: Updating Horizon with possible fix for T189706 (duration: 03m 16s)

Andrew closed this task as Resolved.Mar 29 2018, 10:19 PM
Andrew claimed this task.